( function( $ ) {

	// Document ready
	$( function() {

		// Responsive video
		$( '.entry, .widget, .media-embed' ).fitVids();

		// Posts like
		$( '.entry-like a' ).on( 'click',
			function() {
				var link = $( this );
				if ( link.hasClass( 'active' ) ) return false;

				var id = $( this ).attr( 'id' );

				$.post( pinpoint.ajaxurl, {
					action: 'pinpoint-likes',
					likes_id: id
				}, function( data ) {
					link.html( data ).addClass( 'active' ).attr( 'title', pinpoint.rated );
				} );

				return false;
			} );

		//- Responsive Slides
		$( ".rslides" ).responsiveSlides( {
			auto: true, // Boolean: Animate automatically, true or false
			speed: 500, // Integer: Speed of the transition, in milliseconds
			timeout: 4000, // Integer: Time between slide transitions, in milliseconds
			pager: true, // Boolean: Show pager, true or false
			nav: false, // Boolean: Show navigation, true or false
			random: false, // Boolean: Randomize the order of the slides, true or false
			pause: false, // Boolean: Pause on hover, true or false
			pauseControls: true, // Boolean: Pause when hovering controls, true or false
			prevText: "Previous", // String: Text for the "previous" button
			nextText: "Next", // String: Text for the "next" button
			maxwidth: "", // Integer: Max-width of the slideshow, in pixels
			navContainer: "", // Selector: Where controls should be appended to, default is after the 'ul'
			manualControls: "", // Selector: Declare custom pager navigation
			namespace: "rslides", // String: Change the default namespace used
			before: function() {}, // Function: Before callback
			after: function() {} // Function: After callback
		} );

		// Masonry + Infinite Scroll ///////////////////////////////////////////////////////////////////////////////////////////

		var $container = $( '.grid' ),
			grid_width = setGridWidth();

		$container.imagesLoaded( function() {
			$container.masonry( {
				itemSelector: '.grid-item',
				columnWidth: grid_width,
				gutter: 30
			} );
		} );

		$container.infinitescroll( {
				navSelector: '.pagination', // selector for the paged navigation
				nextSelector: '.pagination a', // selector for the NEXT link (to page 2)
				itemSelector: '.grid-item', // selector for all items you'll retrieve
				loading: {
					finishedMsg: pinpoint.endOfPages,
					img: pinpoint.imgLoader
				}
			},
			// trigger Masonry as a callback
			function( newElements ) {
				// hide new items while they are loading
				var $newElems = $( newElements ).css( {
					opacity: 0
				} );
				// ensure that images load before adding to masonry layout
				$newElems.imagesLoaded( function() {
					// show elems now they're ready
					$newElems.animate( {
						opacity: 1
					} );
					$container.masonry( 'appended', $newElems, true );
				} );
			}
		);

		// Adds custom class to the comment form
		$( '#respond' ).addClass( 'comment-respond row clearfix' );
		$( '#reply-title' ).addClass( 'comment-reply-title widget-title text-center' );
		$( '.comment-notes' ).addClass( 'text-center' );
		$( '.comment-form .form-submit' ).addClass( 'island-2' );

	} );

}( jQuery ) );

// for use in Masonry
function setGridWidth() {

	var set_width = $( window ).width(),
	    grid_width = 350;

	/* Tablet Screen */
	if ( ( set_width > 767 ) && ( set_width < 960 ) ) {
		grid_width = 310;
	}

	return grid_width;

}
