<?php
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div class="page-comments-notes text-dark">
	<div class="row">
		<div class="col-sm-10 col-sm-offset-1 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">
			<div class="page-comments pad-top-double pad-bottom-triple clearfix">

				<div id="comments" class="comments-area clearfix">

					<?php // You can start editing here -- including this comment! ?>

					<?php if ( have_comments() ) : ?>
						<h4 class="widget-title text-center"><?php esc_html_e( 'Comments', 'pinpoint' ); ?></h2>

						<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
						<nav id="comment-nav-above" class="comment-navigation">
							<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'pinpoint' ); ?></h1>
							<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'pinpoint' ) ); ?></div>
							<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'pinpoint' ) ); ?></div>
						</nav><!-- #comment-nav-above -->
						<?php endif; // check for comment navigation ?>

						<ol class="comment-list notes-list col-md-10 col-md-offset-1 pad-top">
							<?php wp_list_comments( array( 'callback' => 'pinpoint_comment', 'style' => 'ol' ) ); ?>
						</ol><!-- .comment-list -->

						<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
						<nav id="comment-nav-below" class="comment-navigation">
							<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'pinpoint' ); ?></h1>
							<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'pinpoint' ) ); ?></div>
							<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'pinpoint' ) ); ?></div>
						</nav><!-- #comment-nav-below -->
						<?php endif; // check for comment navigation ?>

					<?php endif; // have_comments() ?>

					<?php
						// If comments are closed and there are comments, let's leave a little note, shall we?
						if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
					?>
						<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'pinpoint' ); ?></p>
					<?php endif; ?>

				</div>

				<?php comment_form(
					array(
						'comment_notes_after'  => '',
						'title_reply'          => esc_html__( 'Leave a Comment', 'pinpoint' ),
						'comment_field'        => '<p class="comment-form-comment pad-top"><label for="comment" class="sr-only">' . _x( 'Comment', 'noun', 'pinpoint' ) . '</label><textarea cols="45" rows="8" maxlength="65525" id="comment" name="comment" aria-required="true"></textarea></p>',
						'class_submit'         => 'submit button',
						'class_form'           => 'comment-form col-md-10 col-md-offset-1'
					)
				); ?>

			</div>
		</div>
	</div>
</div><!-- #comments -->
