<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body id="top" <?php body_class(); ?>>

<div style="display: none;" class="back-top text-light">
	<a href="#top" class="vertical-align horizontal-align">
		<i class="fa fa-2x fa-angle-up"></i><span class="sr-only"><?php esc_html_e( 'Back to top', 'pinpoint' ); ?></span>
	</a>
</div>

<div id="page" class="site wrapper">

	<?php get_sidebar(); // Loads the 'sidebar.php' template. ?>

	<div class="wrapper-content">

		<header class="site-header text-light">
			<div class="container">
				<div class="row vertical-align">

					<div class="site-nav col-xs-1 col-sm-3 col-lg-2 island">
						<a href="#sidebar" class="sidebar-link">
							<i class="fa fa-bars icon-nav-toggle"></i>
							<div class="sr-only"><?php esc_html_e( 'Navigate', 'pinpoint' ); ?></div>
						</a>
					</div>

					<div class="site-logo col-xs-10 col-sm-6 col-lg-8 text-center island">
						<?php pinpoint_site_branding(); ?>
					</div>

					<div class="site-search col-sm-3 col-lg-2 hidden-xs island">
						<form method="get" class="nomargin search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
							<i class="search-icon fa fa-search muted"></i>
							<input type="search" class="search-field field" value="<?php echo get_search_query() ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'pinpoint' ) ?>" />
						</form>
					</div>

				</div>
			</div>
		</header><!-- #masthead -->

		<div id="content" class="site-content">
			<div class="container">

				<?php get_template_part( 'partials/content', 'featured' ); // Loads the 'partials/content-featured.php' template. ?>
