<?php
/**
 * Misc Customizer
 */

/**
 * Register the customizer.
 */
function pinpoint_misc_customize_register( $wp_customize ) {

	// Register new section: Misc
	$wp_customize->add_section( 'pinpoint_misc' , array(
		'title'       => esc_html__( 'Misc', 'pinpoint' ),
		'description' => esc_html__( 'These options is used for customizing general elements.', 'pinpoint' ),
		'panel'       => 'pinpoint_options',
		'priority'    => 5
	) );

	// Register Custom RSS setting
	$wp_customize->add_setting( 'pinpoint-custom-rss', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'pinpoint-custom-rss', array(
		'label'             => esc_html__( 'Custom RSS', 'pinpoint' ),
		'description'       => esc_html__( 'If you use 3rd party RSS service, place the URL here to change the default WordPress RSS URL.', 'pinpoint' ),
		'section'           => 'pinpoint_misc',
		'priority'          => 1,
		'type'              => 'url'
	) );

	// Register Author Box setting
	$wp_customize->add_setting( 'pinpoint-the-author-box', array(
		'default'           => 1,
		'sanitize_callback' => 'pinpoint_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'pinpoint-the-author-box', array(
		'label'             => esc_html__( 'Show the author area', 'pinpoint' ),
		'section'           => 'pinpoint_misc',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register page comment setting
	$wp_customize->add_setting( 'pinpoint-page-comment', array(
		'default'           => 1,
		'sanitize_callback' => 'pinpoint_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'pinpoint-page-comment', array(
		'label'             => esc_html__( 'Show page comment', 'pinpoint' ),
		'section'           => 'pinpoint_misc',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register Footer Credits setting
	$wp_customize->add_setting( 'pinpoint-footer-text', array(
		'sanitize_callback' => 'pinpoint_sanitize_textarea',
		'default'           => 'Designed by <a href="https://www.theme-junkie.com/">Theme Junkie</a>',
	) );
	$wp_customize->add_control( 'pinpoint-footer-text', array(
		'label'             => esc_html__( 'Footer Text', 'pinpoint' ),
		'section'           => 'pinpoint_misc',
		'priority'          => 5,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'pinpoint_misc_customize_register' );
