<?php
/**
 * Post Customizer
 */

/**
 * Register the customizer.
 */
function pinpoint_post_customize_register( $wp_customize ) {

	// Register new section: Post
	$wp_customize->add_section( 'pinpoint_post' , array(
		'title'       => esc_html__( 'Posts', 'pinpoint' ),
		'description' => esc_html__( 'These options is used for customizing the single post.', 'pinpoint' ),
		'panel'       => 'pinpoint_options',
		'priority'    => 3
	) );

	// Register featured image setting
	$wp_customize->add_setting( 'pinpoint-post-featured', array(
		'default'           => 1,
		'sanitize_callback' => 'pinpoint_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'pinpoint-post-featured', array(
		'label'             => esc_html__( 'Show featured image', 'pinpoint' ),
		'section'           => 'pinpoint_post',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register post tags setting
	$wp_customize->add_setting( 'pinpoint-post-tag', array(
		'default'           => 1,
		'sanitize_callback' => 'pinpoint_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'pinpoint-post-tag', array(
		'label'             => esc_html__( 'Show post tags', 'pinpoint' ),
		'section'           => 'pinpoint_post',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register post share setting
	$wp_customize->add_setting( 'pinpoint-post-share', array(
		'default'           => 1,
		'sanitize_callback' => 'pinpoint_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'pinpoint-post-share', array(
		'label'             => esc_html__( 'Show share buttons', 'pinpoint' ),
		'section'           => 'pinpoint_post',
		'priority'          => 7,
		'type'              => 'checkbox'
	) );

}
add_action( 'customize_register', 'pinpoint_post_customize_register' );
