<?php if ( is_singular( 'post' ) ) : // If viewing a single post page. ?>

	<div class="post-navigation clearfix">
		<?php
			$prev = get_previous_post();
			if ( $prev ) :
		?>
			<a href="<?php echo esc_url( get_permalink( $prev->ID ) ); ?>" title="<?php esc_attr_e( 'Previous', 'pinpoint' ); ?>" class="btn-pagination pagination-previous pull-left"><i class="fa fa-caret-left fa-lg muted"></i><div class="sr-only"><?php esc_attr_e( 'Previous', 'pinpoint' ); ?></div></a>
		<?php endif; ?>

		<?php
			$next = get_next_post();
			if ( $next ) :
		?>
			<a href="<?php echo esc_url( get_permalink( $next->ID ) ); ?>" title="<?php esc_attr_e( 'Next', 'pinpoint' ); ?>" class="btn-pagination pagination-next pull-right"><i class="fa fa-caret-right fa-lg muted"></i>
			<div class="sr-only"><?php esc_attr_e( 'Next', 'pinpoint' ); ?></div></a>
		<?php endif; ?>
	</div>

<?php elseif ( is_home() || is_archive() || is_search() ) : // If viewing the blog, an archive, or search results. ?>

	<div class="wrapper-pagination">
		<div class="pagination-links micro">

			<?php the_posts_pagination( array(
				'prev_text' => esc_html__( 'Newer Posts', 'pinpoint' ),
				'next_text' => esc_html__( 'Older Posts', 'pinpoint' )
			) ); ?>

		</div>
	</div>

<?php endif; ?>
