<?php
// Get the data set in customizer
$enable  = get_theme_mod( 'pinpoint-featured-enable', 1 );
$tag     = get_theme_mod( 'pinpoint-featured-tag' );
$num     = get_theme_mod( 'pinpoint-featured-num', 3 );
$orderby = get_theme_mod( 'pinpoint-featured-orderby', 'date' );

// Show on home page
if ( !is_home() ) {
	return;
}

// Disable the posts slider by user selected in the customizer
if ( !$enable ) {
	return;
}

// Posts query arguments.
$args = array(
	'posts_per_page' => $num,
	'post_type'      => 'post',
	'orderby'        => $orderby
);

// Include the tag.
if ( $tag ) {
	$args['tag_id'] = absint( $tag );
}

// Allow dev to filter the query.
$args = apply_filters( 'pinpoint_featured_posts_args', $args );

// The post query
$featured = new WP_Query( $args );

if ( $featured->have_posts() ) : ?>
	<div class="slider slider-size">
		<ul class="rslides slides-container hp-only">

			<?php while ( $featured->have_posts() ) : $featured->the_post(); ?>

				<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'pinpoint-featured' ); ?>

				<li style="background: url( <?php echo esc_url( $image[0] ); ?> ) center center / cover rgba(36, 39, 38, 0.298039); background-blend-mode: multiply; display: block; float: left; position: relative; opacity: 1; z-index: 2; transition: opacity 500ms ease-in-out;" class="slide slide-1 text-light">
					<div class="slide-content slider-size vertical-align horizontal-align">
						<div class="col-sm-6 col-lg-4 text-center">
							<h4 class="slide-text pad-top-double"><?php the_title(); ?></h3>
							<p class="clearfix">
								<a href="<?php the_permalink(); ?>" class="slide-link btn btn-cta hf text-uppercase"><?php esc_html_e( 'Read More', 'pinpoint' ); ?></a>
							</p>
						</div>
					</div>
				</li>

			<?php endwhile; ?>

		</ul>
	</div>
<?php endif; wp_reset_postdata(); ?>
