<?php
// Get the data set in customizer
$cat = get_theme_mod( 'pinpoint-post-cat' );
$tag = get_theme_mod( 'pinpoint-post-tag' );
$img = get_theme_mod( 'pinpoint-post-featured' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_format( 'video' ) ) : ?>
		<div class="post-media-content pad-top">
			<div class="media-embed pad-top-2 pad-bottom-3 hover-fade">
				<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
			</div>
		</div>
	<?php elseif ( has_post_format( 'audio' ) ) : ?>
		<div class="post-media-content pad-top">
			<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
		</div>
	<?php elseif ( ! has_post_format( 'quote' ) ) : ?>
		<?php if ( has_post_thumbnail() && $img ) : ?>
			<div class="post-media-content pad-top">
				<?php the_post_thumbnail( 'pinpoint-post-single', array( 'class' => 'post-media img-responsive', 'alt' => esc_attr( get_the_title() ) ) ); ?>
			</div>
		<?php endif; ?>
	<?php endif; ?>

	<div class="article-content col-sm-10 col-sm-offset-1 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">

		<?php pinpoint_entry_share(); ?>

		<div class="article-header pad-bottom">
			<?php the_title( '<h1 class="post-title">', '</h1>' ); ?>
		</div>

		<div class="post-content">
			<div class="post-text pad-bottom-double">

				<?php the_content(); ?>
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'pinpoint' ),
						'after'  => '</div>',
					) );
				?>

				<?php edit_post_link( esc_html__( 'Edit', 'pinpoint' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer>' ); ?>

			</div>
		</div>

		<div class="post-meta pad-top-double">

			<div class="post-meta island text-center">
				<div class="micro hf text-uppercase muted"><?php pinpoint_posted_on(); ?></div>
			</div>

			<!-- Tags-->
			<?php
				$tags = get_the_tags();
				if ( $tags && $tag ) :
			?>
				<ul class="post-tags list-inline text-center bt island">
					<?php foreach( $tags as $tag ) : ?>
						<li><a class="tag-link small" href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_attr( $tag->name ); ?></a></li>
					<?php endforeach; ?>
				</ul>
			<?php endif; ?>

		</div>

	</div>

</article><!-- #post-## -->
